# Module `wibox.widget.base`

### Info:

- Copyright: 2010 Uli Schlachter
- Release: v3.5.4
- Author: Uli Schlachter

## Functions

buttons (_buttons) | Set/get a widget's buttons
handle_button (event, widget, x, y, button, modifiers, geometry) | Handle a button event on a widget.
make_widget (proxy) | Create a new widget.
empty_widget () | Generate an empty widget which takes no space and displays nothing
check_widget (widget) | Do some sanity checking on widget.

## Functions

buttons (_buttons)
  Set/get a widget's buttons

  ### Parameters:

  - _buttons
handle_button (event, widget, x, y, button, modifiers, geometry)
  Handle a button event on a widget. This is used internally.

  ### Parameters:

  - event
  - widget
  - x
  - y
  - button
  - modifiers
  - geometry
make_widget (proxy)
  Create a new widget. All widgets have to be generated via this function so that the needed signals are added and mouse input handling is set up.

  ### Parameters:

  - proxy If this is set, the returned widget will be a proxy for this widget. It will be equivalent to this widget.
empty_widget ()
  Generate an empty widget which takes no space and displays nothing
check_widget (widget)
  Do some sanity checking on widget. This function raises a lua error if widget is not a valid widget.

  ### Parameters:

  - widget

generated by LDoc 1.4.2